DNF4-DOWNLOAD(8)

NUME
dnf4-download - modul DNF download

Descarcă pachete binare sau sursă.

SINOPSIS

dnf download [opțiuni] <specificație-pachet>...

ARGUMENTE

    <specificație-pachet>
        Specificația pachetului pentru pachetul care urmează să fie descărcat. Pot fi specificate și RPM-uri locale. Acest lucru este util cu opțiunea --source sau dacă doriți să descărcați din nou același RPM.

OPȚIUNI

Toate opțiunile generale DNF sunt acceptate, a se vedea Opțiuni în dnf(8) pentru detalii.

    --help-cmd
        Afișează acest mesaj de ajutor.

    --arch <arhitectura>[,<arhitecttura>...]
        Limitează interogarea la pachetele din anumite arhitecturi (valoarea implicită este toate arhitecturile compatibile cu sistemul dumneavoastră). Pentru a descărca pachete cu arhive incompatibile cu sistemul dumneavoastră, utilizați opțiunea --forcearch=<arhitectura> pentru a schimba căutarea de bază.

    --source
        Descarcă sursa rpm. Activează depozitele sursă ale tuturor depozitelor binare activate.

    --debuginfo
        Descarcă rpm-ul debuginfo. Activează depozitele debuginfo ale tuturor depozitelor binare activate.

    --downloaddir
        Directorul de descărcare, valoarea implicită este directorul curent (directorul trebuie să existe).

    --url
        În loc de a descărca, imprimă o listă de adrese URL de unde pot fi descărcate rpms-urile.

    --urlprotocol
        Limitează protocolul adreselor URL generate de opțiunea „--url”. Opțiunile sunt „http”, „https”, „rsync”, „ftp”.

    --resolve
        Rezolvă dependențele pachetelor specificate și descarcă dependențele lipsă din sistem.

    --alldeps
        Atunci când este utilizată împreună cu --resolve, descarcă toate dependențele (nu le ignoră pe cele deja instalate).

EXEMPLE

    dnf download dnf
        Descarcă cel mai recent pachet „dnf” în directorul curent.

    dnf download --url dnf
        Doar imprimă adresa URL a locației la distanță de unde poate fi descărcat rpm-ul dnf.

    dnf download --url --urlprotocols=https --urlprotocols=rsync dnf
        La fel ca mai sus, dar limitează adresele URL la adrese „https” sau „rsync”.

    dnf download dnf --destdir /tmp/dnl
        Descarcă cel mai recent pachet „dnf” în directorul „/tmp/dnl” (directorul trebuie să existe).

    dnf download dnf --source
        Descarcă cel mai recent pachet sursă „dnf” în directorul curent.

    dnf download rpm --debuginfo
        Descarcă cel mai recent pachet rpm-debuginfo în directorul curent.

    dnf download btanks --resolve
        Descarcă cel mai recent pachet btanks și dependențele neinstalate în directorul curent.

AUTOR
Consultați AUTORI în distribuția dumneavoastră Core DNF Plugins

DREPTURI DE AUTOR
2014, Red Hat, Licențiat sub GPLv2+

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.